---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libisfldsin003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FD10, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51C50, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52040, symBinAddr: 0xE500, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52FE0, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52FF0, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F980, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F984, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F988, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FAE0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FB98, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FB9C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FBA0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FBA4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FBA8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FBB0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FBC8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FBD0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FBD8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FBE0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FBE8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4FC2A, symBinAddr: 0xC1AA, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FC30, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4FC38, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FC48, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x917F, offset: 0x917F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4820, symSize: 0x80 }
  - { offsetInCU: 0x9214, offset: 0x9214, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4770, symSize: 0xB0 }
  - { offsetInCU: 0x926F, offset: 0x926F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4670, symSize: 0x100 }
  - { offsetInCU: 0x9502, offset: 0x9502, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x48A0, symSize: 0x220 }
  - { offsetInCU: 0x96E7, offset: 0x96E7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4AC0, symSize: 0xA0 }
  - { offsetInCU: 0x979A, offset: 0x979A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4B60, symSize: 0x110 }
  - { offsetInCU: 0x9890, offset: 0x9890, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4C70, symSize: 0x150 }
  - { offsetInCU: 0x99C1, offset: 0x99C1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4DC0, symSize: 0x30 }
  - { offsetInCU: 0x9A4A, offset: 0x9A4A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4DF0, symSize: 0x150 }
  - { offsetInCU: 0x9C42, offset: 0x9C42, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4F40, symSize: 0x160 }
  - { offsetInCU: 0x9DCE, offset: 0x9DCE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x50A0, symSize: 0x1B0 }
  - { offsetInCU: 0x9FE9, offset: 0x9FE9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5250, symSize: 0xA0 }
  - { offsetInCU: 0xA0B8, offset: 0xA0B8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x52F0, symSize: 0x20 }
  - { offsetInCU: 0xA0EF, offset: 0xA0EF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5310, symSize: 0x20 }
  - { offsetInCU: 0xA126, offset: 0xA126, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5330, symSize: 0x20 }
  - { offsetInCU: 0xA295, offset: 0xA295, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5350, symSize: 0x1A0 }
  - { offsetInCU: 0xA5BB, offset: 0xA5BB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x54F0, symSize: 0x80 }
  - { offsetInCU: 0xA684, offset: 0xA684, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5570, symSize: 0x6A0 }
  - { offsetInCU: 0xB219, offset: 0xB219, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9FB0, symBinAddr: 0x6690, symSize: 0xB0 }
  - { offsetInCU: 0xB290, offset: 0xB290, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5C10, symSize: 0x70 }
  - { offsetInCU: 0xB34C, offset: 0xB34C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5C80, symSize: 0xA0 }
  - { offsetInCU: 0xB44B, offset: 0xB44B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5D20, symSize: 0x40 }
  - { offsetInCU: 0xB541, offset: 0xB541, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5D60, symSize: 0x2B0 }
  - { offsetInCU: 0xB8E7, offset: 0xB8E7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x6010, symSize: 0xC0 }
  - { offsetInCU: 0xBA2D, offset: 0xBA2D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x60D0, symSize: 0x10 }
  - { offsetInCU: 0xBAEF, offset: 0xBAEF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x60E0, symSize: 0x220 }
  - { offsetInCU: 0xBDEC, offset: 0xBDEC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6300, symSize: 0x10 }
  - { offsetInCU: 0xBE49, offset: 0xBE49, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6310, symSize: 0x110 }
  - { offsetInCU: 0xBFCC, offset: 0xBFCC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D20, symBinAddr: 0x6420, symSize: 0x10 }
  - { offsetInCU: 0xC0B1, offset: 0xC0B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_IsFieldSynthetic_isfldsin003a_check, symObjAddr: 0x9D50, symBinAddr: 0x6430, symSize: 0x260 }
  - { offsetInCU: 0xC233, offset: 0xC233, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA060, symBinAddr: 0x6740, symSize: 0x36A }
...
